package com.dao;

import com.entity.Department;
import com.entity.TestEntity;
import com.utils.Page;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;


@Repository
public interface IDepartmentDao {
    /**
     * 查询部门所有信息
     */
    List<Department> findAllDepartment();

    /**
     * 添加部门
     */
    void insertDept(Department department);

    /**
     * 根据部门名称查询部门信息
     */
    List<Department> searchByName(Map<String, Object> map);

    /**
     * 获取部门的记录数
     */
    int getDeptTotal();

    /**
     * 按页查询部门信息
     */
    List<Department> listDept(Page page);

    /**
     * 根据id查询部门信息
     */
    Department findDeptById(int id);

    /**
     * 修改部门信息
     */
    void modifyDept(Department department);

    /**
     * 根据id删除部门
     */
    void deleteDept(int id);
}
